- Main Page
- Tutorials
- Functions
- Release Notes
- Examples

Namespaces | Functions
compatible.h File Reference
`#include <af/defines.h>`

Go to the source code of this file.

## Namespaces
| af

## Functions
AFAPI int | devicecount ()
| Gets the number of devices. More...
AFAPI int | deviceget ()
| Gets the current device ID. More...
AFAPI void | deviceset (const int device)
| Sets the current device. More...
AFAPI array | loadimage (const char *filename, const bool is_color=false)
| C++ Interface for loading an image. More...
AFAPI void | saveimage (const char *filename, const array &in)
| C++ Interface for saving an image. More...
AFAPI array | gaussiankernel (const int rows, const int cols, const double sig_r=0, const double sig_c=0)
| Creates a Gaussian Kernel. More...
template<typename T >
T | alltrue (const array &in)
| C++ Interface for checking if all values in an array are true. More...
template<typename T >
T | anytrue (const array &in)
| C++ Interface for checking if all values in an array are true. More...
AFAPI array | alltrue (const array &in, const int dim=-1)
| C++ Interface for checking all true values in an array. More...
AFAPI array | anytrue (const array &in, const int dim=-1)
| C++ Interface for checking any true values in an array. More...
AFAPI array | setunique (const array &in, const bool is_sorted=false)
| C++ Interface for getting unique values. More...
AFAPI array | setunion (const array &first, const array &second, const bool is_unique=false)
| C++ Interface for performing union of two arrays. More...
AFAPI array | setintersect (const array &first, const array &second, const bool is_unique=false)
| C++ Interface for performing intersect of two arrays. More...
AFAPI array | histequal (const array &in, const array &hist)
| C++ Interface for histogram equalization. More...
AFAPI array | colorspace (const array &image, const CSpace to, const CSpace from)
| C++ Interface wrapper for colorspace conversion. More...
AFAPI array | filter (const array &image, const array &kernel)
| Image Filtering. More...
AFAPI array | mul (const array &in, const int dim=-1)
| C++ Interface for product of elements in an array. More...
template<typename T >
T | mul (const array &in)
| C++ Interface for product of all elements in an array. More...
AFAPI void | deviceprop (char *d_name, char *d_platform, char *d_toolkit, char *d_compute)